Bug 208120 - [GTK] fast/mediastream/media-element-current-time.html is failing since added in r256346
Summary: [GTK] fast/mediastream/media-element-current-time.html is failing since added...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Diego Pino
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-02-24 00:01 PST by Diego Pino
Modified: 2021-12-28 17:18 PST (History)
10 users (show)

See Also:


Attachments
Patch (2.65 KB, patch)
2021-12-27 20:27 PST, Diego Pino
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Pino 2020-02-24 00:01:09 PST
* fast/mediastream/media-element-current-time.html [ Failure ]

--- /home/igalia/dpino/workspace/webkit-gtk/layout-test-results/retries/fast/mediastream/media-element-current-time-expected.txt
+++ /home/igalia/dpino/workspace/webkit-gtk/layout-test-results/retries/fast/mediastream/media-element-current-time-actual.txt
@@ -1,4 +1,4 @@


-PASS Check video.currentTime behavior 
+FAIL Check video.currentTime behavior assert_not_equals: Playback has started, currentTime must not be zero got disallowed value 0
Comment 1 Philippe Normand 2021-06-17 09:15:28 PDT
I think the way this test was written kind of makes it prone to flakiness. Changing the playback state and waiting 10ms until performing a test is not great for the gst engine.

It would be better to rely on events.
Comment 2 Philippe Normand 2021-12-22 06:50:18 PST
Current failure is:


-PASS Check video.currentTime behavior
+FAIL Check video.currentTime behavior assert_greater_than: video is playing, time should advance expected a number greater than 0.284381 but got 0.284381
 

Which happens because the position is queried immediately after the play() call. Waiting 10ms gives time to the engine to have the pipeline position going forward.
Comment 3 Diego Pino 2021-12-27 20:27:08 PST
Created attachment 448027 [details]
Patch
Comment 4 EWS 2021-12-28 17:17:14 PST
Committed r287477 (245612@main): <https://commits.webkit.org/245612@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448027 [details].
Comment 5 Radar WebKit Bug Importer 2021-12-28 17:18:20 PST
<rdar://problem/86967699>